UF_MODL_bead_section_parms_s (view source)
 
Defined in: uf_modl_types.h
 
Also known as:
 


Data Members

shape
UF_MODL_bead_shape_t
cross sectional shape
type of bead

radius
UF_MODL_parm_p_t
radius of the blend
between bead walls and
secondary face if one
is defined or just
between the bead walls
if there isn't one

placement_width
UF_MODL_parm_p_t
width of the bead in
the placement face

placement_width_relative
UF_MODL_bead_width_relative_t
Indication of
how placement width
is measured.

secondary_width
UF_MODL_parm_p_t
width of the bead in
the secondary face

secondary_width_relative
UF_MODL_bead_width_relative_t
When a radius
is specified along with
a secondary width, this
defines how the
secondary width is
measured.

taper_angle
UF_MODL_parm_p_t
angle between the bead
wall and the section
axis at the centerline

taper_angle_relative
UF_MODL_bead_angle_relative_t
Indication of how
the taper angle is
measured.

height
UF_MODL_parm_p_t
height of bead along
the section axis

blend_radius
UF_MODL_parm_p_t
Radius of blend between
side walls and placement
faces

end_cap_radius
UF_MODL_parm_p_t
Radius of the end caps on
a circular bead. This is
measured tangent to the
end of the centerline.
It must be greater than
the height and the
radius.

end_cap_angle
UF_MODL_parm_p_t
Angle of the end cap
taper on the v bead

end_cap_option
UF_MODL_bead_ends_t
Indicates where end
caps should be placed
on the bead

attach
UF_MODL_bead_attach_t
If TRUE, boolean bead
to the target body.
If FALSE, a separate body
will be created.

hollow
UF_MODL_bead_hollow_t
If TRUE, create a hollow
bead which preserves the
thickness of the target
solid body. Only
applicable when attach
is TRUE.